# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /usr/portage.local/app-misc/tgiftools/tgiftools-0.6.ebuild,v 0.1 atzm Exp $

IUSE=""

DESCRIPTION="Tgif utility tools"
SRC_URI="http://homepage2.nifty.com/aito/tgiftools/download/${PN}${PV}.tar.gz"
HOMEPAGE="http://homepage2.nifty.com/aito/tgiftools/"
LICENSE="tgif"
SLOT="0"

DEPEND="app-misc/tgif
	virtual/x11
	dev-lang/ruby
	media-libs/netpbm
	dev-lang/tcl
	dev-lang/tk"

KEYWORDS="~x86 ~ppc ~sparc ~sparc64 ~alpha"

S="${WORKDIR}/${PN}"

src_unpack(){
	unpack ${A}
	cd ${S}

	mv tgif_expr tgif_expr.old
	mv tgiftable tgiftable.old
	mv tmath tmath.old
	mv tmathedit tmathedit.old

	sed -e "s:^#!/usr/local/bin/ruby:#!/usr/bin/ruby:" \
		-e "s:^require '\./tgif':require 'tgif':" tgif_expr.old > tgif_expr
	sed -e "s:^#!/usr/local/bin/ruby:#!/usr/bin/ruby:" \
		-e "s:^require '\./tgif':require 'tgif':" tgiftable.old > tgiftable
	sed -e "s:^#!/usr/local/bin/ruby:#!/usr/bin/ruby:" tmath.old     > tmath
	sed -e "s:^#!/usr/local/bin/ruby:#!/usr/bin/ruby:" tmathedit.old > tmathedit
}

src_install(){
	insinto /usr/lib/ruby/site_ruby
	doins tgif.rb

	exeinto /usr/X11R6/bin
	doexe tgif_expr tgiftable tmath tmathedit
	dohtml symbols.html
	dodoc example* symbols.obj

	cd ${S}/doc
	docinto doc
	dodoc *.txt

	cd ${S}/doc-jp
	docinto doc-jp
	dodoc *.txt
}
